program testcai

use tcai1_mod
implicit none

INTEGER, PARAMETER     :: dp = SELECTED_REAL_KIND(14, 60)
integer		:: i
real(dp)	:: xx(9),x(5),b(5)

x = (/2,1,-1,1,1/)
b = (/2,-1,1,2,2/)
call tcai1_lop2 (xx, x,b)
do i=1,200
write(0,*) i, exp(1.*i), exp(-1.*i)
end do
!write(0,*) xx
end program
